Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029634
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2015-04-15 18:492015-04-21 13:41
ReportermalsasuaView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionaed91c9f63c3
ProjectionnoneETAnoneTarget Version3.0PR15Q1.4
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-09-23
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/179d97ee602d [^]
Triggers an Emergency PackNo
Summary

0029634: foreign currency and foreign amount are not assigned in transaction

Descriptionwhen a transaction is created manually (with "new" button and "process" button), the foreign currency and foreign amount is not assigned, and error is returned when transaction is posted
Steps To Reproduce. in F&B
. price list window:
 Otros Servicios
 . change currency from EUR to USD

. financial account window:
 Cuenta de Banco -> Payment Method -> transferencia
  . Make Payments in Multiple Currency -> select
  . automatic drawals -> unselect

. purchase invoice window:
 new record:
  . org: F&B España SA
  . bp: Generación Eléctrica
 . new line:
  product: electricidad
  qty: 100
process it
(invoice currency: USD)
Add Details
 .paid it and not reconcile:
    "Action Regarding Document" -> Pocess Made Payments

go to fincial account "Cuenta de Banco"
 . new transaction: select the above payment
 . process it
 . post it: error is returned:
Process failed during execution

TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0029605 closedaferraz foreign currency and foreign amount are not assigned in transaction 

-  Notes
(0076648)
dmitry_mezentsev (developer)
2015-04-21 11:44

Reminder. Scheduled and next statuses issues cannot have generic (Triage Finance) user assigned.
(0076654)
hgbot (developer)
2015-04-21 13:39

Repository: erp/backports/3.0PR15Q1.4
Changeset: aed91c9f63c3b0aad7719f869c7d7f1ab3c04647
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Apr 21 11:04:04 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.4/rev/aed91c9f63c3b0aad7719f869c7d7f1ab3c04647 [^]

Fixes issue 29634: Foreign currency not setted in transaction

When creating a transaction manually from a payment, foreign currency, foreign conversion rate and foreign amount fields were not setted to transaction. Now, they will be setted as in TransactionDao.java, when the transaction is automatically created from the payment.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0076656)
vmromanos (developer)
2015-04-21 13:40

Code review + testing OK

- Issue History
Date Modified Username Field Change
2015-04-20 10:31 aferraz Type defect => backport
2015-04-20 10:31 aferraz Target Version => 3.0PR15Q1.4
2015-04-21 11:41 dmitry_mezentsev Tag Attached: Approved
2015-04-21 11:43 dmitry_mezentsev Assigned To Triage Finance => aferraz
2015-04-21 11:44 dmitry_mezentsev Note Added: 0076648
2015-04-21 13:39 hgbot Checkin
2015-04-21 13:39 hgbot Note Added: 0076654
2015-04-21 13:39 hgbot Status scheduled => resolved
2015-04-21 13:39 hgbot Resolution open => fixed
2015-04-21 13:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q1.4/rev/aed91c9f63c3b0aad7719f869c7d7f1ab3c04647 [^]
2015-04-21 13:40 vmromanos Review Assigned To => vmromanos
2015-04-21 13:40 vmromanos Note Added: 0076656
2015-04-21 13:41 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker